/*
 * Dandelion Admin v2.0 - UI Demo JS
 *
 * This file is part of Dandelion Admin, an Admin template build for sale at ThemeForest.
 * For questions, suggestions or support request, please mail me at maimairel@yahoo.com
 *
 * Development Started:
 * March 25, 2012
 * Last Update:
 * December 07, 2012
 *
 */

(function($) {
	$(document).ready(function(e) {
		$("#dgtic-ex-accordion, #dgtic-ex-accordion-plain").accordion();
		
		$("#dgtic-ex-tabs, #dgtic-ex-tabs-plain").tabs();
		
		$("#dgtic-ex-datepicker, #dgtic-ex-datepicker-inline").datepicker({showOtherMonths:true});
		
		$("#dgtic-ex-datepicker-week").datepicker({showOtherMonths:true, showWeek: true});
		
		$("#dgtic-ex-datepicker-months").datepicker({showOtherMonths:true, numberOfMonths: 3});
		
		$("#dgtic-ex-datetimepicker").datetimepicker();
		
		$("#dgtic-ex-timepicker").timepicker();
		
		$(".dgtic-ex-buttons").button();
		
		$("#dgtic-ex-buttons-radio").buttonset();
		$("#dgtic-ex-buttons-checkbox").buttonset();
		
		$( "#dgtic-ex-buttons-icon button:first" ).button({
			icons: {
				primary: "ui-icon-locked"
			},
			text: false
		}).next().button({
			icons: {
				primary: "ui-icon-locked"
			}
		}).next().button({
			icons: {
				primary: "ui-icon-gear",
				secondary: "ui-icon-triangle-1-s"
			}
		}).next().button({
			icons: {
				primary: "ui-icon-gear",
				secondary: "ui-icon-triangle-1-s"
			},
			text: false
		});
		
		var availableTags = [
			"ActionScript",
			"AppleScript",
			"Asp",
			"BASIC",
			"C",
			"C++",
			"Clojure",
			"COBOL",
			"ColdFusion",
			"Erlang",
			"Fortran",
			"Groovy",
			"Haskell",
			"Java",
			"JavaScript",
			"Lisp",
			"Perl",
			"PHP",
			"Python",
			"Ruby",
			"Scala",
			"Scheme"
		];
		
		$( "#dgtic-ex-autocomplete" ).autocomplete({
			source: availableTags
		});
		
		$("#dgtic-ex-slider").slider();
		
		$("#dgtic-ex-slider-range").slider({
			range: true,
			min: 0,
			max: 500,
			values: [ 75, 300 ], 
			slide: function( event, ui ) {
				$( "#dgtic-ex-slider-range-info .dgtic-highlight" ).html( "$" + ui.values[ 0 ] + " - $" + ui.values[ 1 ] );
			}
		});
		
		$(".dgtic-ex-color-slider").slider({
			range: "min",
			value: 45,
			min: 1,
			max: 100
		});
		
		$("#dgtic-ex-slider-range-fixed").slider({
			range: "min",
			value: 37,
			min: 1,
			max: 700, 
			slide: function( event, ui ) {
				$( "#dgtic-ex-slider-range-fixed-info .dgtic-highlight" ).html( "$" + ui.value );
			}
		});
	
		$( "#dgtic-slider-equalizer > span" ).each(function() {
			var value = parseInt( $( this ).text(), 10 );
			
			$( this ).empty().slider({
				value: value,
				range: "min",
				animate: true,
				orientation: "vertical"
			});
		});
		
		$(".dgtic-ex-color-pb, #dgtic-ex-pb, #dgtic-ex-pba").each(function() {
			$(this).progressbar({
				value: 25 + Math.floor(Math.random() * 50)
			});
		});
		
		$("#dgtic-ex-pba-trigger").bind('click', function(e) {
			$(this).parent().next("#dgtic-ex-pba").progressbar('value', 20 + Math.floor(Math.random() * 80));
			e.preventDefault();
		});
		
		$("#dgtic-ex-dialog-div").dialog({
			autoOpen: false, 
			title: "Default UI Dialog", 
			modal: true, 
			width: "640", 
			buttons: [{
					text: "Close Dialog", 
					click: function() {
						$( this ).dialog( "close" );
					}}]
		});
		
		
		$("#dgtic-ex-dialog-form-div").dialog({
			autoOpen: false, 
			title: "UI Dialog Modal Form", 
			modal: true, 
			width: "640", 
			buttons: [{
					text: "Submit", 
					click: function() {
						$( this ).find('form#dgtic-ex-dialog-form-val').submit();
					}}]
		}).find('#dgtic-ex-dialog-dp').datepicker({
			dateFormat: 'yy-mm-dd'
		}).end()
		.find('form').validate({
			rules: {
				reqField: {
					required: true
				}, 
				picture: {
					required: true, 
					accept: ['jpeg', 'jpg', 'png', 'gif']
				}, 
				dateField: {
					required: true, 
					date: true
				}, 
				gender: {
					required: true
				}
			}, 
			invalidHandler: function(form, validator) {
				var errors = validator.numberOfInvalids();
				if (errors) {
					var message = errors == 1
					? 'You missed 1 field. It has been highlighted'
					: 'You missed ' + errors + ' fields. They have been highlighted';
					$("#dgtic-validate-error").html(message).show();
				} else {
					$("#dgtic-validate-error").hide();
				}
			}
		});
		
		$("#dgtic-ex-dialog").bind("click", function(event) {
			$("#dgtic-ex-dialog-div").dialog("option", {modal: false}).dialog("open");
			event.preventDefault();
		});
		$("#dgtic-ex-dialog-modal").bind("click", function(event) {
			$("#dgtic-ex-dialog-div").dialog("option", {modal: true}).dialog("open");
			event.preventDefault();
		});
		$("#dgtic-ex-dialog-form").bind("click", function(event) {
			$("#dgtic-ex-dialog-form-div").dialog("option", {modal: true}).dialog("open");
			event.preventDefault();
		});
		
		/* Growl Notifications */
		if($.jGrowl) {
			$("#dgtic-ex-growl").bind("click", function(event) {
				$.jGrowl("Hello World!", {position: "bottom-right"});
			});
			
			$("#dgtic-ex-growl-1").bind("click", function(event) {
				$.jGrowl("A sticky message", {sticky: true, position: "bottom-right"});
			});
			
			$("#dgtic-ex-growl-2").bind("click", function(event) {
				$.jGrowl("Message with Header", {header: "Important!", position: "bottom-right"});
			});
		}		
	});
}) (jQuery);