#encoding:utf-8
from encodings.punycode import digits
from django.forms import ModelForm
from django import forms
from html5lib.ihatexml import digit
from WebAplication.models import *
from django.forms.widgets import *
import datetime
from django.contrib.auth.models import User


class AlgoForm(forms.Form):
    estado = forms.ModelChoiceField(required=True, queryset=Estado.objects.all(), widget=forms.Select(attrs={'class': 'required  span10'}))
    municipio = forms.ModelChoiceField(required=True, queryset=Municipio.objects.none(), widget=forms.Select(attrs={'class': 'required span10'}))
    localidad = forms.ModelChoiceField(required=True, queryset=Localidad.objects.none(), widget=forms.Select(attrs={'class': 'required span10'}))


class DomicilioForm(forms.ModelForm):
    calle = forms.CharField(required=True, widget=forms.TextInput(attrs={'class': 'required span8', "autofocus": "autofocus"}))
    numero = forms.CharField(widget=forms.TextInput(attrs={'class': 'required span8'}))
    codigo_postal = forms.CharField(min_length=5, max_length=5, widget=forms.TextInput(attrs={'class': 'required number span8','minlength':"5"}))
    colonia = forms.CharField(widget=forms.TextInput(attrs={'class': 'required span8'}))

    class Meta:
        model = Domicilio
        exclude = ('localidad','latitud','longitud')

    def clean(self):
        return self.cleaned_data


class PersonaForm(forms.ModelForm):
    nombre = forms.CharField(widget=forms.TextInput(attrs={'class': 'mayuscula required span8 '}))
    apellido_paterno = forms.CharField(widget=forms.TextInput(attrs={'class': 'mayuscula required span8'}))
    apellido_materno = forms.CharField(widget=forms.TextInput(attrs={'class': 'mayuscula required span8'}))
    sexo = forms.ModelChoiceField(required=True, queryset=Sexo.objects.all(), widget=forms.Select(attrs={'class': 'required span8 '}))
    fecha_nacimiento = forms.DateField(label='Fecha de la Nacimiento: ', widget=forms.TextInput(attrs={'class': 'required span8'}))
    curp = forms.CharField(required=True, max_length=18, widget=forms.TextInput(attrs={'class': 'mayuscula required span8', 'minlength':"18"}))
    tipo= forms.ModelMultipleChoiceField(label='Tipo persona: ',queryset=TipoPersona.objects.all(), required=True,widget=forms.SelectMultiple(attrs={'class': 'span8 required'}))

    class Meta:
        model = Persona
        exclude = ['domicilio','credencial']

    def clean(self):
        return self.cleaned_data


class CredencialForm(forms.ModelForm):
    folio = forms.CharField(max_length=13, required=False, widget=forms.TextInput(attrs={'class': 'number span8', 'minlength':"13"}))
    anio_registro = forms.CharField(label='Año de Registro', required=False, max_length=4, widget=forms.TextInput(attrs={'class': ' number span8','minlength':"4"}))
    clave_elector = forms.CharField(max_length=18, required=False, widget=forms.TextInput(attrs={'class': 'mayuscula  span8', 'minlength':'18'}))
    ocr = forms.CharField(max_length=13, min_length=13, required=False, widget=forms.TextInput(attrs={'class': 'number span8', 'minlength':"13"}))

    class Meta:
        model = Credencial
        exclude = ['persona']

    def clean(self):
        return self.cleaned_data


class PersonaForm(forms.ModelForm):
    nombre = forms.CharField(widget=forms.TextInput(attrs={'class': 'mayuscula required span8 '}))
    apellido_paterno = forms.CharField(widget=forms.TextInput(attrs={'class': 'mayuscula required span8'}))
    apellido_materno = forms.CharField(widget=forms.TextInput(attrs={'class': 'mayuscula required span8'}))
    sexo = forms.ModelChoiceField(required=True, queryset=Sexo.objects.all(), widget=forms.Select(attrs={'class': 'required span8 '}))
    fecha_nacimiento = forms.DateField(label='Fecha de la Nacimiento: ', widget=forms.TextInput(attrs={'class': 'required span8'}))
    curp = forms.CharField(required=True, max_length=18, widget=forms.TextInput(attrs={'class': 'mayuscula required span8', 'minlength':"18"}))
    tipo= forms.ModelMultipleChoiceField(label='Tipo persona: ',queryset=TipoPersona.objects.all(), required=True,widget=forms.SelectMultiple(attrs={'class': 'span8 required'}))

    class Meta:
        model = Persona
        exclude = ['domicilio','credencial','activo']


class FormEliminaPersona(forms.ModelForm):
    activo = forms.BooleanField(label="", required=False, widget=forms.CheckboxInput(attrs={"class": "oculto"}))

    class Meta:
        model = Persona
        exclude = (
            'fecha_registro',
            'nombre',
            'apellido_paterno',
            'apellido_materno',
            'sexo',
            'fecha_nacimiento',
            'domicilio',
            'curp',
            'tipo',

        )



