from django.conf import settings
from django.contrib import messages
from django.core.mail import send_mail
from django.contrib.auth.models import User
from django.http import HttpResponse, HttpResponseRedirect, Http404
from django.shortcuts import render_to_response, get_object_or_404
from django.template import RequestContext
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.forms import AuthenticationForm
from django.contrib.auth import login, authenticate, logout
from django.contrib.auth.decorators import login_required
from django.views.generic.edit import UpdateView
from rest_framework.generics import ListAPIView
from WebAplication.models import *
from WebAplication.forms import *
from django.views.generic import ListView
from django.views.generic import TemplateView
from django.views.generic import DetailView
from django.core import serializers
from django.views.decorators.csrf import csrf_exempt
from django.db.models import Q



@csrf_exempt
def  consultarMunicipio(request):
	if request.is_ajax():

		if request.method=='GET':
			respuest="este se envio via get"
		elif request.method=='POST':
			id_estado=request.POST['id_estado']
			partidas=serializers.serialize("json",Municipio.objects.all().filter(estado=id_estado),fields=('id','nombre'))
	return HttpResponse(partidas,mimetype="application/javascript")

@csrf_exempt
def consultarLocalidad(request):
	if request.is_ajax():

		if request.method=='GET':
			respuest="este se envio via get"
		elif request.method=='POST':
			id_municipio=request.POST['id_municipio']
			partidas=serializers.serialize("json",Localidad.objects.all().filter(municipio=id_municipio),fields=('id','nombre'))
	return HttpResponse(partidas,mimetype="application/javascript")


# def consultaFolio(request):
# 	if request.is_ajax():
# 		if request.method== 'GET':def handler404(request):
   # 			request="este se envio via get"
# 		elif request.method=='POST':
# 			folio = request.POST['folio']
# 			mostrar = serializers.serialize("json",Credencial.objects.get(folio=folio))
# 	return HttpResponse(mostrar,mimetype="aplication/javascript")
@csrf_exempt
def  consultaFolio(request):
	if request.is_ajax():

		if request.method=='GET':
			respuest="este se envio via get"
		elif request.method=='POST':
			folio=request.POST['folio']
			encontrados = serializers.serialize("json",Credencial.objects.filter(folio = folio),fields=('id','curp'))
	return HttpResponse(encontrados,mimetype="application/javascript")

@csrf_exempt
def consultaCurp(request):
	if request.is_ajax():
		if request.method=='GET':
			repuest='este se envio via get'
		elif request.method=='POST':
			curp=request.POST['curp']
			encontrados = serializers.serialize("json",Persona.objects.filter(curp=curp),fields=('curp'))
		return HttpResponse(encontrados,mimetype="application/javascript")

@csrf_exempt
def consultaClave(request):
	if request.is_ajax():
		if request.method=='GET':
			repuest='este se envio via get'
		elif request.method=='POST':
			clave_elector=request.POST['clave_elector']
			encontrados = serializers.serialize("json",Credencial.objects.filter(clave_elector=clave_elector),fields=('clave_elector'))
		return HttpResponse(encontrados,mimetype="application/javascript")

@csrf_exempt
def consultaOcr(request):
	if request.is_ajax():
		if request.method=='GET':
			repuest='este se envio via get'
		elif request.method=='POST':
			ocr=request.POST['ocr']
			encontrados = serializers.serialize("json",Credencial.objects.filter(ocr=ocr),fields=('ocr'))
		return HttpResponse(encontrados,mimetype="application/javascript")


def registroPersona(request):
	if request.method == 'POST':
		algo = AlgoForm(request.POST)
		domicilio = DomicilioForm(request.POST)
		credencial=CredencialForm(request.POST)
		persona=PersonaForm(request.POST)


		if domicilio.is_valid() and credencial.is_valid()  and persona.is_valid():

			folio = request.POST.get('folio')
			clave = request.POST.get('clave_elector')
			ocr = request.POST.get('ocr')
			curp=request.POST.get('curp')
			tipo_persona = request.POST.get('tipo')
			consul_cred = None
			consul_per = None

			try:
				consul_cred = Credencial.objects.get(Q(folio=folio)  | Q(clave_elector=clave) | Q(ocr=ocr))
				consul_per = Persona.objects.get(Q(curp=curp))
				print consul_cred
			except Credencial.DoesNotExist, Persona.DoesNotExist:
				pass


			if consul_cred == None and consul_per==None:

				perso=persona.save(commit=False)
				#cre=credencial.save()
				e=int(request.POST['localidad'])
				dom=domicilio.save(commit=False)
				dom.localidad_id=e
				dom.save()
				perso.domicilio = dom

				perso.save()
				persona.save_m2m()

				if folio != "" or clave !="" or ocr !="":


					cre=credencial.save()
					cre.persona = perso
					cre.save()

				return HttpResponseRedirect('/')

			else:
				msj = 'Este Campo ya Existe en la Crendencial...'
				messages.success(request, msj)
	else:
		algo = AlgoForm()
		domicilio = DomicilioForm()
		persona=PersonaForm()
		credencial=CredencialForm()

	return render_to_response('Registro.html', {'domicilio':domicilio,'persona':persona,'credencial':credencial,'algo':algo}, context_instance=RequestContext(request))

def lista_estados(request):
	estados = Estado.objects.all()
	return render_to_response('Registro.html', {'estados':estados}, context_instance=RequestContext(request))


class PersonaAPIView(ListAPIView):
	model = Persona

	def get_queryset(self):
		persona = self.request.GET.get('persona')

		if persona:
			return Persona.objects.filter(id= persona)

		return super(PersonaAPIView, self).get_queryset()


class PersonaAPIView(ListAPIView):
    model = Persona

    def get_queryset(self):
        persona = self.request.GET.get('persona')
        if persona:
            return Persona.objects.filter(id=persona)
        if persona:
            return Persona.objects.filter(id=persona)
        return super(PersonaAPIView, self).get_queryset()


class EstadosAPIView(ListAPIView):
    model = Estado


class MunicipiosAPIView(ListAPIView):
    model = Municipio

    def get_queryset(self):
        estado = self.request.GET.get('estado')
        if estado:
            return Municipio.objects.filter(estado__id=estado)
        if estado:
            return Municipio.objects.filter(estado__id=estado)
        return super(MunicipiosAPIView, self).get_queryset()


class LocalidadesAPIView(ListAPIView):
    model = Localidad

    def get_queryset(self):
        municipio = self.request.GET.get('municipio')
        if municipio:
            return Localidad.objects.filter(municipio__id=municipio)
        if municipio:
            return Localidad.objects.filter(municipio__id=municipio)
        return super(LocalidadesAPIView, self).get_queryset()


class EliminarPersonaView(UpdateView):
    model = Persona
    form_class = FormEliminaPersona
    template_name = "persona_delete_form.html"


#view based class

class ListaPadronView(ListView):
    model = Persona
    template_name = "padron_list.html"

    def get_context_data(self, **kwargs):
        context = super(ListaPadronView, self).get_context_data(**kwargs)

        return context


class DetallePadronView(DetailView):
    model = Persona
    template_name = "padron_detail.html"

    def get_context_data(self, **kwargs):
        context = super(DetallePadronView, self).get_context_data(**kwargs)

        return context


class EditarPadronView(UpdateView):
    model = Persona
    template_name = "padron_detail.html"

    def get_context_data(self, **kwargs):
        context = super(EditarPadronView, self).get_context_data(**kwargs)

        return context


# class Ajax_municipio(TemplateView):
#     template_name = "Registro.html"
#     def get(request, data):
#         template_name = Municipio.objects.filter(estado_id = value_estado)
#         print template_name

