# Create your views here.
#encoding:utf-8
from servicio.models import Alumno, Area , Pregunta, Resultado, Respuesta
from servicio.forms import *
from django.http import HttpResponseRedirect, HttpResponse 
from django.template import RequestContext, loader
from django.shortcuts import get_object_or_404, render, render_to_response, redirect
from django.core.urlresolvers import reverse
from django.forms import ModelForm
from django.forms.formsets import formset_factory
from django.db.models import Count
from django.contrib import messages
from django.forms import ModelForm
from django.contrib import auth
from django.contrib.auth.decorators import login_required
from django.template.response import TemplateResponse
from datetime import datetime
from django.core.paginator import Paginator, InvalidPage, EmptyPage

def login(request):

	if request.method=='POST':

		username = request.POST['username']
		password = request.POST['password']
		user = auth.authenticate(username=username, password=password)
		mensaje = ''
		if user is not None and user.is_active:
		    # Correct password, and the user is marked "active"
		    auth.login(request, user)
		    # Redirect to a success page.
		    #return render_to_response("dashboard_base.html",context_instance=RequestContext(request))
		    return HttpResponseRedirect('/areas/administrador/')
		else:
		    messages.error(request, 'error de autenticacion')
			#return render_to_response	('index.html',context_instance=RequestContext(request))
		return TemplateResponse(request,'index.html',{'msj':mensaje})
	else:

		return HttpResponseRedirect('/areas/acceder/')



"""
Desloguea al usuario y regresa al template principal.html

"""

@login_required(login_url='/areas/acceder/')
def administrador(request):
	mensaje= ''
	return TemplateResponse(request, 'dashboard_base.html', {'msj': mensaje})

@login_required(login_url='/areas/')
def logout(request):
    auth.logout(request)
    #lista_cursos = Curso.objects.order_by('fecha')
    template = loader.get_template('principal.html')
    #context = RequestContext(request,{'lista_cursos':lista_cursos})
    context = RequestContext(request,{})

    return HttpResponse(template.render(context))


"""
Se manda a llamar al template index.html para iniciar sesion

"""
def acceder(request):
	return render_to_response('index.html',context_instance=RequestContext(request))


"""


"""
def principal(request):
	#lista_cursos = Curso.objects.order_by('fecha')
	template = loader.get_template('principal.html')
	context = RequestContext(request,{
		#'lista_cursos':lista_cursos
	})
	return HttpResponse(template.render(context))	


@login_required(login_url='/areas/acceder/')
def perfil(request, user_id):
	return TemplateResponse(request, 'perfil.html' )


"""
Se manda a llamar al template areaform.html que es el formulario para registrar el area y luego
devuelve todos los registros con el template mostrararea.html

"""
@login_required(login_url='/areas/acceder/')
def creararea(request):
	 
	if request.method=='POST':
		form = AreaForm(request.POST)
		if form.is_valid():
			form.save()
			datos = Area.objects.all()
			messages.success(request, 'Área registrada')
			return HttpResponseRedirect('/areas/mostrararea/')
			#return render_to_response('mostrararea.html',{'datos':datos},context_instance=RequestContext(request))
	else:
		form = AreaForm()

	area_side = 'active'
	menu_alumno = 'closed'
	menu_pregunta = 'closed'
	menu_respuesta = 'closed'
	menu_resultado = 'closed'
	return render_to_response('areaform.html',{'form':form, 'area_side':area_side,'menu_alumno':menu_alumno, 'menu_pregunta':menu_pregunta,'menu_respuesta':menu_respuesta, 'menu_resultado':menu_resultado },context_instance=RequestContext(request))

"""
Muestra todas las areas registradas, con el template mostrararea.html

"""
@login_required(login_url='/areas/acceder/')
def mostrararea(request):

	area_side = 'active'
	menu_alumno = 'closed'
	menu_pregunta = 'closed'
	menu_respuesta = 'closed'
	menu_resultado = 'closed'
	datos = Area.objects.all().order_by('id')
	return render_to_response('mostrararea.html',{'datos':datos, 'area_side':area_side,'menu_alumno':menu_alumno, 'menu_pregunta':menu_pregunta,'menu_respuesta':menu_respuesta, 'menu_resultado':menu_resultado },context_instance=RequestContext(request))


"""
Muestra los datos de un area especifica , permite su edicion, y vuelve a mostrar 
el template con todas las areas registradas

"""

@login_required(login_url='/areas/acceder/')
def editararea(request, area_id):
	area_side = 'active'
	menu_alumno = 'closed'
	menu_pregunta = 'closed'
	menu_respuesta = 'closed'
	menu_resultado = 'closed'
	area = Area.objects.get(pk=area_id)	
	if request.method=='POST':
		form = AreaForm(request.POST, instance=area)
		if form.is_valid():
			form.save()
			datos = Area.objects.all()
			messages.success(request, 'Se actualizo el área')
			return HttpResponseRedirect('/areas/mostrararea/')
			#return render_to_response('mostrararea.html',{'datos':datos},context_instance=RequestContext(request))
	else:
		form = AreaForm(instance=area)			
	return render_to_response('areaform.html',{'form':form ,'area':area,'area_side':area_side,'menu_alumno':menu_alumno, 'menu_pregunta':menu_pregunta,'menu_respuesta':menu_respuesta, 'menu_resultado':menu_resultado },context_instance=RequestContext(request))

"""
Permite eliminar un registro del modelo:area y muestra nuevamente  las areas registradas

"""

@login_required(login_url='/areas/acceder/')
def borrararea(request,area_id):
	area = Area.objects.get(pk=area_id)	
	area.delete()
	datos = Area.objects.all()
	messages.warning(request, 'Se elimino el área')
	return HttpResponseRedirect('/areas/mostrararea/')
	#return render_to_response('mostrararea.html',{'datos':datos},context_instance=RequestContext(request))
"""
Se manda a llamar al template preguntaform.html que es el formulario para registrar las preguntas y luego
devuelve todos los registros con el template mostrarpregunta.html

"""
@login_required(login_url='/areas/acceder/')
def crearpregunta(request):
	 
	if request.method=='POST':
		form = FormularioEstatico(request.POST)
		if form.is_valid():
			#form.save()

			area_pregunta = request.POST.get('area_pregunta')
			pregunta = request.POST.get('pregunta')
			respuesta1 = request.POST.get('respuesta1')
			respuesta2 = request.POST.get('respuesta2')
			respuesta3 = request.POST.get('respuesta3')
			acierto1 = request.POST.get('acierto1')
			acierto2 = request.POST.get('acierto2')
			acierto3 = request.POST.get('acierto3')

			if(acierto1 == None):
				acierto1 = False
			if(acierto2 == None):
				acierto2 = False
			if(acierto3 == None):
				acierto3 = False


			dato_area = Area.objects.get(pk=area_pregunta)
			
			pre = Pregunta(area=dato_area,nombre_pregunta=pregunta)
			pre.save()
			
			d = pre.id

			dato_pregunta = Pregunta.objects.get(pk=d)

			res1 = Respuesta(pregunta=dato_pregunta,nom_respuesta=respuesta1,acierto=acierto1)
			res2 = Respuesta(pregunta=dato_pregunta,nom_respuesta=respuesta2,acierto=acierto2)
			res3 = Respuesta(pregunta=dato_pregunta,nom_respuesta=respuesta3,acierto=acierto3)
			res1.save()
			res2.save()
			res3.save()

			datos = Pregunta.objects.all().order_by('area')
			messages.success(request, 'Pregunta registrada')
			return HttpResponseRedirect('/areas/mostrarpregunta/')
			#return render_to_response('mostrarpregunta.html',{'datos':datos},context_instance=RequestContext(request))
	else:
		form = FormularioEstatico()
	pregunta_side = 'active'
	menu_alumno = 'closed'
	menu_area = 'closed'
	menu_respuesta = 'closed'
	menu_resultado = 'closed'
	return render_to_response('preguntaform.html',{'form':form,'pregunta_side':pregunta_side,'menu_alumno':menu_alumno,'menu_area':menu_area,'menu_respuesta':menu_respuesta, 'menu_resultado':menu_resultado },context_instance=RequestContext(request))
"""
Muestra todas las preguntas registradas con las opciones de editar y eliminar

"""
@login_required(login_url='/areas/acceder/')
def mostrarpregunta(request):

	pregunta_side = 'active'
	menu_alumno = 'closed'
	menu_area = 'closed'
	menu_respuesta = 'closed'
	menu_resultado = 'closed'
	datos = Pregunta.objects.all().order_by('area')
	return render_to_response('mostrarpregunta.html',{'datos':datos, 'pregunta_side':pregunta_side,'menu_alumno':menu_alumno,'menu_area':menu_area,'menu_respuesta':menu_respuesta, 'menu_resultado':menu_resultado },context_instance=RequestContext(request))
"""
Muestra los datos de un pregunta especifica , permite su edicion, y vuelve a mostrar 
el template con todas las preguntas registradas

"""
@login_required(login_url='/areas/acceder/')
def editarpregunta(request, pregunta_id):
	pregunta_side = 'active'
	menu_alumno = 'closed'
	menu_area = 'closed'
	menu_respuesta = 'closed'
	menu_resultado = 'closed'
	pregunta = Pregunta.objects.get(pk=pregunta_id)	
	if request.method=='POST':
		form = PreguntaForm(request.POST, instance=pregunta)
		if form.is_valid():
			form.save()
			datos = Pregunta.objects.all().order_by('area')
			messages.success(request, 'Se actualizo la pregunta')
			return HttpResponseRedirect('/areas/mostrarpregunta/')
			#return render_to_response('mostrarpregunta.html',{'datos':datos},context_instance=RequestContext(request))
	else:
		form = PreguntaForm(instance=pregunta)			
	return render_to_response('preguntaform.html',{'form':form ,'pregunta':pregunta,'pregunta_side':pregunta_side,'menu_alumno':menu_alumno,'menu_area':menu_area,'menu_respuesta':menu_respuesta, 'menu_resultado':menu_resultado},context_instance=RequestContext(request))
"""
Permite eliminar un registro del modelo:Pregunta y muestra nuevamente  las preguntas registradas

"""
@login_required(login_url='/areas/acceder/')
def borrarpregunta(request,pregunta_id):
	pregunta = Pregunta.objects.get(pk=pregunta_id)	
	pregunta.delete()
	datos = Pregunta.objects.all().order_by('area')
	messages.warning(request, 'Se elimino la pregunta')
	#return render_to_response('mostrarpregunta.html',{'datos':datos},context_instance=RequestContext(request))
	return HttpResponseRedirect('/areas/mostrarpregunta/')
"""
Se manda a llamar al template respuestaform.html que es el formulario para registrar las respuestas y luego
devuelve todos los registros con el template mostrarrespuesta.html

"""

@login_required(login_url='/areas/acceder/')	
def crearrespuesta(request):
	 
	if request.method=='POST':
		form = RespuestaForm(request.POST)
		if form.is_valid():# valida  los datos del formulario

			form.save()
			datos = Respuesta.objects.all().order_by('pregunta')
			messages.success(request, 'Respuesta registrada')
			return HttpResponseRedirect('/areas/mostrarrespuesta/')
			#return render_to_response('mostrarrespuesta.html',{'datos':datos},context_instance=RequestContext(request))
	else:
		form = RespuestaForm()
	respuesta_side = 'active'
	menu_alumno = 'closed'
	menu_area = 'closed'
	menu_pregunta = 'closed'
	menu_resultado = 'closed'
	return render_to_response('respuestaform.html',{'form':form, 'respuesta_side':respuesta_side,'menu_alumno':menu_alumno,'menu_area':menu_area,'menu_pregunta':menu_pregunta, 'menu_resultado':menu_resultado },context_instance=RequestContext(request))
"""
Muestra todas las respuestas registradas con las opciones de editar y eliminar

"""

@login_required(login_url='/areas/acceder/')
def mostrarrespuesta(request):

	datos = Respuesta.objects.all().order_by('pregunta')
	respuesta_side = 'active'
	menu_alumno = 'closed'
	menu_area = 'closed'
	menu_pregunta = 'closed'
	menu_resultado = 'closed'
	return render_to_response('mostrarrespuesta.html',{'datos':datos, 'respuesta_side':respuesta_side,'menu_alumno':menu_alumno,'menu_area':menu_area,'menu_pregunta':menu_pregunta, 'menu_resultado':menu_resultado },context_instance=RequestContext(request))
"""
Muestra los datos de un respuesta especifica , permite su edicion, y vuelve a mostrar 
el template con todas las respuesta registradas

"""

@login_required(login_url='/areas/acceder/')
def editarrespuesta(request, respuesta_id):
	respuesta_side = 'active'
	menu_alumno = 'closed'
	menu_area = 'closed'
	menu_pregunta = 'closed'
	menu_resultado = 'closed'
	respuesta = Respuesta.objects.get(pk=respuesta_id)	
	if request.method=='POST':
		form = RespuestaForm(request.POST, instance=respuesta)
		if form.is_valid():
			form.save()
			datos = Respuesta.objects.all().order_by('pregunta')
			messages.success(request, 'Se actualizo la respuesta')
			return HttpResponseRedirect('/areas/mostrarrespuesta/')
			#return render_to_response('mostrarrespuesta.html',{'datos':datos},context_instance=RequestContext(request))
	else:
		form = RespuestaForm(instance=respuesta)			
	return render_to_response('respuestaform.html',{'form':form,'respuesta':respuesta,'respuesta_side':respuesta_side,'menu_alumno':menu_alumno,'menu_area':menu_area,'menu_pregunta':menu_pregunta, 'menu_resultado':menu_resultado },context_instance=RequestContext(request))
"""
Permite eliminar un registro del modelo:Respuesta y muestra nuevamente  las respuestas registradas

"""
@login_required(login_url='/areas/acceder/')
def borrarrespuesta(request,respuesta_id):
	respuesta = Respuesta.objects.get(pk=respuesta_id)	
	respuesta.delete()
	datos = Respuesta.objects.all().order_by('pregunta')
	messages.warning(request, 'Se elimino la respuesta')
	return HttpResponseRedirect('/areas/mostrarrespuesta/')
	#return render_to_response('mostrarrespuesta.html',{'datos':datos},context_instance=RequestContext(request))
"""
Se manda a llamar al template respuestaform.html que es el formulario para registrar las respuestas y luego
devuelve todos los registros con el template mostrarrespuesta.html

"""

def nuevoalumno(request):
    if request.method=='POST':
        form = AlumnoForm(request.POST, request.FILES)
        if form.is_valid():
        	"""form.save()
        	r = form.save()
        	f = r.id"""

        	nombre_alumno = form.cleaned_data['nombre_alumno']
        	appat = form.cleaned_data['appat']
        	apma = form.cleaned_data['apma']
        	institucion = form.cleaned_data['institucion']
        	carrera = form.cleaned_data['carrera']
        	semestre = form.cleaned_data['semestre']
        	

        	lista_preguntas=Pregunta.objects.all().order_by('?')
        	lista_respuesta=Respuesta.objects.all()# Se envia todos los datos necesarios para crear el cuestionario
        	paqueteP=RequestContext(request,{'lista_preguntas':lista_preguntas,'lista_respuesta':lista_respuesta, 'nombre_alumno':nombre_alumno,'appat':appat,'apma':apma,
        		'institucion':institucion,'carrera':carrera,'semestre':semestre})
        	return render_to_response('Cuestionario.html',paqueteP,context_instance=RequestContext(request))
        	#return HttpResponseRedirect(reverse('cuestionario:preguntas'))
        
    else:
        form = AlumnoForm()
    return render_to_response('alumnoform.html',{'form':form}, context_instance=RequestContext(request))
"""
Muestra todas los alumnos  registrados con las opciones de editar y eliminar

"""
@login_required(login_url='/areas/acceder/')
def mostraralumno(request):

	datos = Alumno.objects.all().order_by('id')
	
	alumno_side = 'active'
	menu_area = 'closed'
	menu_pregunta = 'closed'
	menu_respuesta = 'closed'
	menu_resultado = 'closed'
	return render_to_response('mostraralumno.html',{'datos':datos, 'alumno_side':alumno_side,'menu_area':menu_area,'menu_pregunta':menu_pregunta,'menu_respuesta':menu_respuesta,'menu_resultado':menu_resultado},context_instance=RequestContext(request))
"""
Muestra los datos de un alumno especifico , permite su edicion, y vuelve a mostrar 
el template con todas los alumnos registrados

"""
@login_required(login_url='/areas/acceder/')
def editaralumno(request, alumno_id):
	alumno_side = 'active'
	menu_area = 'closed'
	menu_pregunta = 'closed'
	menu_respuesta = 'closed'
	menu_resultado = 'closed'
	alumno = Alumno.objects.get(pk=alumno_id)	
	if request.method=='POST':
		form = AlumnoForm(request.POST, instance=alumno)
		if form.is_valid():
			form.save()
			datos = Alumno.objects.all().order_by('id')
			messages.success(request, 'Se actualizo el alumno')
			#return render_to_response('mostraralumno.html',{'datos':datos},context_instance=RequestContext(request))
			return HttpResponseRedirect('/areas/mostraralumno/')
	else:
		form = AlumnoForm(instance=alumno)			
	return render_to_response('alumnoform2.html',{'form':form, 'alumno_side':alumno_side,'menu_area':menu_area,'menu_pregunta':menu_pregunta,'menu_respuesta':menu_respuesta,'menu_resultado':menu_resultado },context_instance=RequestContext(request))
"""
Permite eliminar un registro del modelo:Alumno y muestra nuevamente  los alumnos registrados

"""
@login_required(login_url='/areas/acceder/')
def borraralumno(request,alumno_id):
	alumno = Alumno.objects.get(pk=alumno_id)	
	alumno.delete()
	datos = Alumno.objects.all().order_by('id')
	messages.warning(request, 'Se elimino el alumno')
	return HttpResponseRedirect('/areas/mostraralumno/')
	#return render_to_response('mostraralumno.html',{'datos':datos},context_instance=RequestContext(request))





def resultado(request):# recibe los datos que provienen del template cuestionario
	
	#dato_alumno = Alumno.objects.get(pk=datoalumno_id)

	#form=form
	#form.save()
    #alumno = form.save()
    #f = alumno.id

	lista_preguntas=Pregunta.objects.all()
	lista_respuesta=Respuesta.objects.all()
	re = []
	r =[]
	e = []

	nombre_alumno = request.POST.get('nombre_alumno')
	appat = request.POST.get('appat')
	apma = request.POST.get('apma')
	institucion = request.POST.get('institucion')
	carrera = request.POST.get('carrera')
	semestre = request.POST.get('semestre')

	alu = Alumno(nombre_alumno=nombre_alumno,appat=appat,apma=apma,institucion=institucion,carrera=carrera,semestre=semestre)
	alu.save()
	#alumno = alu.save()
	#f = alumno.id

	
	if request.method == 'POST':
	
		for preguntas in lista_preguntas:
			for respuestas in lista_respuesta:
				if respuestas.pregunta == preguntas:

					if request.POST.get(u'%s'%preguntas.id, ''):
						e  = request.POST.get(u'%s'%preguntas.id)
					
						r = Respuesta.objects.get(pk=e)
					
						if r.acierto == True:
							re = Resultado(alumno=alu,respuesta=r)
							re.cont_respuesta+=1
						else:
							re = Resultado(alumno=alu,respuesta=r)
							re.cont_respuesta=0

			
			re.save()
		return HttpResponseRedirect(reverse('servicio:termino'))

def termino(request):
	
	paquete = {}
	return render_to_response('termino.html', paquete, context_instance=RequestContext(request))

@login_required(login_url='servicio:acceder')
def conteo_respuestas(request):
	lista_alumnos=Alumno.objects.all()
	lista_areas= Area.objects.all().order_by('id')
	alum=lista_alumnos
	
	res = []
	total_area=[]

	alum2 = {}
	total={}
	alum = {}

	for x in lista_alumnos:
		alum = {}

		for y in lista_areas:

			res=Resultado.objects.all().filter(respuesta__pregunta__area=y.id , alumno=x.id ,cont_respuesta=1)
			
			alum[y.id]=res.count()
			
		alum2[x.id]=alum

	for y in lista_areas:
		total_area=Pregunta.objects.all().filter(area=y.id)
		total[y.id]=total_area.count()

	resultado_side = 'active'
	menu_area = 'closed'
	menu_pregunta = 'closed'
	menu_respuesta = 'closed'
	menu_alumno = 'closed'
	paquete={'lista_alumnos':lista_alumnos, 'lista_areas':lista_areas,'alum2':alum2,'total':total,'alum':alum, 'resultado_side':resultado_side,'menu_alumno':menu_alumno,'menu_area':menu_area,'menu_pregunta':menu_pregunta, 'menu_respuesta':menu_respuesta}
	print paquete

	return render_to_response('conteoRespuestas.html', paquete, context_instance=RequestContext(request))

@login_required(login_url='servicio:acceder')
def conteo_respuestas_tabla(request):
	lista_alumnos=Alumno.objects.all()
	lista_areas= Area.objects.all().order_by('id')
	
	res = []
	total_area=[]

	alum2 = {}
	total={}
	alum = {}

	for x in lista_alumnos:
		alum = {}

		for y in lista_areas:

			res=Resultado.objects.all().filter(respuesta__pregunta__area=y.id , alumno=x.id ,cont_respuesta=1)
			
			alum[y.id]=res.count()
			
		alum2[x.id]=alum

	for y in lista_areas:
		total_area=Pregunta.objects.all().filter(area=y.id)
		total[y.id]=total_area.count()

	resultado_side = 'active'
	menu_area = 'closed'
	menu_pregunta = 'closed'
	menu_respuesta = 'closed'
	menu_alumno = 'closed'

	paquete={'lista_alumnos':lista_alumnos, 'lista_areas':lista_areas,'alum2':alum2,'total':total, 'resultado_side':resultado_side,'menu_area':menu_area,'menu_pregunta':menu_pregunta,'menu_respuesta':menu_respuesta,'menu_alumno':menu_alumno}
	print paquete
	return render_to_response('conteoRespuestasTabla.html', paquete, context_instance=RequestContext(request))
@login_required(login_url='/areas/acceder/')
def principal_admin(request):
	lista_alumnos= Alumno.objects.all().order_by('-fecha')[:3]

	lista_areas= Area.objects.all().order_by('id')
	
	res = []
	total_area=[]

	alum2 = {}
	total={}
	alum = {}

	for x in lista_alumnos:
		alum = {}

		for y in lista_areas:

			res=Resultado.objects.all().filter(respuesta__pregunta__area=y.id , alumno=x.id ,cont_respuesta=1)
			
			alum[y.id]=res.count()
			
		alum2[x.id]=alum

	for y in lista_areas:
		total_area=Pregunta.objects.all().filter(area=y.id)
		total[y.id]=total_area.count()
	inicio_side = 'active'
	menu_alumno = 'closed'
	menu_area = 'closed'
	menu_pregunta = 'closed'
	menu_respuesta = 'closed'
	menu_resultado = 'closed'

	paquete={'lista_alumnos':lista_alumnos, 'lista_areas':lista_areas,'alum2':alum2,'total':total, 'inicio_side': inicio_side, 'menu_alumno':menu_alumno,'menu_area':menu_area,
	'menu_pregunta':menu_pregunta,'menu_respuesta':menu_respuesta,'menu_resultado':menu_resultado}
	print paquete
	return render_to_response('conteoRespuestas.html', paquete, context_instance=RequestContext(request))
@login_required(login_url='/areas/acceder/')
def buscarAlum(request):
	
	resultado_side = 'active'
	menu_area = 'closed'
	menu_pregunta = 'closed'
	menu_respuesta = 'closed'
	menu_alumno = 'closed'
	if request.method=='POST':

		form = FormularioBusqueda(request.POST, request.FILES)
		if form.is_valid():

			nombre_alumno = form.cleaned_data['nombre_alumno']
			appat = form.cleaned_data['appat']
			apma = form.cleaned_data['apma']
			lista_alumnos= Alumno.objects.all().filter(nombre_alumno__icontains=nombre_alumno, appat__icontains=appat, apma__icontains=apma)
			lista_areas= Area.objects.all().order_by('id')

			res = []
			total_area=[]

			alum2 = {}
			total={}
			alum = {}

			for x in lista_alumnos:
				alum = {}

				for y in lista_areas:

					res=Resultado.objects.all().filter(respuesta__pregunta__area=y.id , alumno=x.id ,cont_respuesta=1)

					alum[y.id]=res.count()

					alum2[x.id]=alum

			for y in lista_areas:
				total_area=Pregunta.objects.all().filter(area=y.id)
				total[y.id]=total_area.count()

			

			paquete={'lista_alumnos':lista_alumnos, 'lista_areas':lista_areas,'alum2':alum2,'total':total,'nombre_alumno':nombre_alumno, 'resultado_side':resultado_side,'menu_area':menu_area,'menu_pregunta':menu_pregunta,'menu_respuesta':menu_respuesta,'menu_alumno':menu_alumno}
			print paquete
			return render_to_response('conteoRespuestas.html', paquete, context_instance=RequestContext(request))


	else:
		form = FormularioBusqueda()#debo retornar a la platilla de busqueda			
	return render_to_response('buscar.html',{'form':form,'resultado_side':resultado_side,'menu_area':menu_area,'menu_pregunta':menu_pregunta,'menu_respuesta':menu_respuesta,'menu_alumno':menu_alumno},context_instance=RequestContext(request))

@login_required(login_url='/areas/acceder/')
def pagina(request):
    lista_preguntas=Pregunta.objects.all().order_by('?')
    lista_respuesta=Respuesta.objects.all()# Se envia todos los datos necesarios para crear el cuestionario
    paqueteP=RequestContext(request,{'lista_preguntas':lista_preguntas,'lista_respuesta':lista_respuesta})
    return render_to_response('Cuestionario2.html',paqueteP,context_instance=RequestContext(request))

@login_required(login_url='/areas/acceder/')
def mostrarResultado(request, alumno_id):
	lista_alumnos= Alumno.objects.all().filter(alumno=alumno_id)
	lista_areas= Area.objects.all().order_by('id')
	
	res = []
	total_area=[]

	alum2 = {}
	total={}
	alum = {}

	for x in lista_alumnos:
		alum = {}

		for y in lista_areas:

			res=Resultado.objects.all().filter(respuesta__pregunta__area=y.id , alumno=x.id ,cont_respuesta=1)
			
			alum[y.id]=res.count()
			
		alum2[x.id]=alum

	for y in lista_areas:
		total_area=Pregunta.objects.all().filter(area=y.id)
		total[y.id]=total_area.count()
	inicio_side = 'active'
	menu_alumno = 'closed'
	menu_area = 'closed'
	menu_pregunta = 'closed'
	menu_respuesta = 'closed'
	menu_resultado = 'closed'

	paquete={'lista_alumnos':lista_alumnos, 'lista_areas':lista_areas,'alum2':alum2,'total':total, 'inicio_side': inicio_side, 'menu_alumno':menu_alumno,'menu_area':menu_area,
	'menu_pregunta':menu_pregunta,'menu_respuesta':menu_respuesta,'menu_resultado':menu_resultado}
	print paquete
	return render_to_response('conteoRespuestas.html', paquete, context_instance=RequestContext(request))
